<template>
  <div>
    <Modal v-model="showBackModal" class="zIndex-1100 modal-footer-none">
      <p slot="header">{{modalTitle}}</p>
      <div>
        <p @click="_download">未安装打印控件,点此<span style="color: blue;cursor:pointer">下载</span>,安装完请刷新当前页面</p>
      </div>
    </Modal>
  </div>
</template>
<script>
/**
 * 打印下载 exe
 */
export default {
  data() {
    return {
      modalTitle: '下载',
      showBackModal: false
    }
  },
  methods: {
    _open() {
      this.showBackModal = true
    },
    _cancel() {
      this.showBackModal = false
    },
    _download() {
      window.open(
        'http://static.patzn.com/clodop/CLodop_Setup_for_Win32NT.exe',
        '_blank'
      )
      this._cancel()
    }
  }
}
</script>
